<?php

namespace Hilco\Models;

use Illuminate\Database\Eloquent\Model;

class AustraliaFreightPostCode extends Model {
	protected $table = "AustraliaFreightPostCodes";

	public function australiaFreightZone() {
	    return $this->belongsTo(AustraliaFreightZone::class, 'zone_id', 'id');
    }

    public function scopePostCode($query, $postCode) {
	    return $query->where('post_code', '=', $postCode);
    }
}
